[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

StopIfBinTest Class Reference

`#include <vigra/random_forest/rf_earlystopping.hxx>`

Inheritance diagram for StopIfBinTest:

## Public Member Functions

| StopIfBinTest (double alpha, MultiArrayView< 2, double > nck_)

## Public Attributes

ArrayVector< double > | depths

## Detailed Description

Probabilistic Stopping criterion (binomial test)

Can only be used in a two class setting

Stop if the Parameters estimated for the underlying binomial distribution can be estimated with certainty over 1-alpha. (Thesis, Rahul Nair Page 80 onwards: called the "binomial" criterion

## Constructor & Destructor Documentation

## ◆ StopIfBinTest()

StopIfBinTest | ( | double | alpha,
|  | MultiArrayView< 2, double > | nck_
| ) |  |

Constructor

Parameters

  alpha | specify alpha (=proportion) value for binomial test.
  nck_ | Matrix with precomputed values for n choose k nck_(n, k) is n choose k.

## Member Data Documentation

## ◆ depths

ArrayVector<double> depths

ArrayVector that will contain the fraction of trees that was visited before terminating

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_earlystopping.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.2